Bug 71034 - [OS X] Ugly (too heavy) fake bold on single-styled fonts, Core Text-related
Summary: [OS X] Ugly (too heavy) fake bold on single-styled fonts, Core Text-related
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Khaled Hosny (inactive)
URL:
Whiteboard: BSA target:5.0.0 target:4.4.4
Keywords: regression
: 71249 71636 76352 76590 84088 (view as bug list)
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2013-10-30 07:22 UTC by seppel
Modified: 2015-04-30 06:03 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of the same document, opened with LO 4.0.6 (above) and 4.1.2.3 (below) (35.94 KB, image/png)
2013-10-30 07:22 UTC, seppel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description seppel 2013-10-30 07:22:28 UTC
Created attachment 88341 [details]
screenshot of the same document, opened with LO 4.0.6 (above) and 4.1.2.3 (below)

Problem description: 
Using a non-standard font (Futura LT Light), LO Writer is unable to show text in bold letters correctly. Futua LT Light in regular style is shown correctly. This problem only occured since the upgrade to LO 4.1.
happens with all documents using this font.

Steps to reproduce:
1. ....
2. ....
3. ....

Current behavior:

Expected behavior:

              
Operating System: Mac OS X
Version: 4.1.2.3 release
Comment 1 Maxim Monastirsky 2013-10-30 11:26:32 UTC
(In reply to comment #0)
> screenshot of the same document, opened with LO 4.0.6 (above) and 4.1.2.3
> (below)
Hi,
After reading the bug description, I think that you mean LO 4.0.6 (*below*) and 4.1.2.3 (*above*), right?
Comment 2 seppel 2013-10-30 16:23:00 UTC
yes, that's correct.
sorry for causing confusion.

On 30.10.2013, at 12:26, bugzilla-daemon@freedesktop.org wrote:

> 
> Comment # 1 on bug 71034 from Maxim
> (In reply to comment #0)
> > screenshot of the same document, opened with LO 4.0.6 (above) and 4.1.2.3
> > (below)
> Hi,
> After reading the bug description, I think that you mean LO 4.0.6 (*below*) and
> 4.1.2.3 (*above*), right?
> 
> You are receiving this mail because:
> You reported the bug.
Comment 3 tommy27 2013-11-04 21:28:07 UTC
please attach the original .odt file as well so we can test
Comment 4 Maxim Monastirsky 2013-11-16 18:48:29 UTC
*** Bug 71636 has been marked as a duplicate of this bug. ***
Comment 5 Maxim Monastirsky 2013-11-16 18:49:55 UTC
Confirmed by Bug 71636.
Comment 6 retired 2013-12-07 23:34:35 UTC
Where is that font? Is it possible to attach it to this bug? I don’t have it on my 10.9 OS X system.
Comment 7 Florian Maier 2013-12-09 08:45:54 UTC
It is a proprietary font:
https://www.adobe.com/type/browser/html/readmes/FuturaStdReadMe.html

One possible download location:
http://fontpark.net/en/font/futura-std-light/
Comment 8 retired 2014-01-19 08:42:13 UTC
Hi Seppel, I see: http://cl.ly/image/3R2u3f2D043F in Macintosh HD > Library > Fonts

Do you have all those entries as well? If you have bold, you should then be able to set your font to bold.

Please open your OSX font manager (ger "schriftenverwaltung") and check if you see any entry for bold.

Why is this bug on NEW? So far it has not been confirmed, so unconfirmed is the correct status. Setting to NEEDINFO since we need feedback from bug reporter.
Comment 9 seppel 2014-01-20 07:21:22 UTC
Hi
actually the font we use is "futura LT light", not "Futura Std". That might be a difference, I don't know exactly. And no - there's no "Futua LT Light Bold" on the system - well, maybe the "light" in the name and "bold" wouldn't fit too well to each other....
But the font can be shown in *bold*, but I think it is a kind of "calculated" by LO.. and in version 4.1.2.3 it is showing the distance between two letters wrong.
Comment 10 Florian Maier 2014-01-20 07:47:20 UTC
We use "FuturaStd-Light" shown as "FuturaStd-Light.otf" in the Fontmanager. Same Problem (#71636);
Comment 11 Adolfo Jayme 2014-03-20 05:04:42 UTC
*** Bug 76352 has been marked as a duplicate of this bug. ***
Comment 12 Adolfo Jayme 2014-03-20 05:06:39 UTC
This should not be in NEEDINFO, or do triagers need to pirate every font just to confirm smething?
Comment 13 tommy27 2014-03-20 05:45:08 UTC
(In reply to comment #9)
> ... in version 4.1.2.3 it is showing the distance
> between two letters wrong.

have you tried if the issues persist in more recent releases like 4.1.5 or 4.2.2?
Comment 14 tommy27 2014-03-20 05:54:03 UTC
sorry, I've just noticed that the duplicate Bug 76352 was already tested against 4.1.5 and 4.2.2 and confirms that the issue was not present in 4.0.6

I add "regression" to keywords
Comment 15 Milan Bouchet-Valat 2014-03-21 18:13:34 UTC
Indeed, in the duplicate I reported that I  observe the same problem with a standard Apple font, Geneva, and with a free font, Gentium[1], and. So no need to download a proprietary font.

Copying a remark from the other report:

I've found an old discussion about a similar problem with Geneva bold, and it was related to the fact that Carbon automatically created a pesudo-bold font, while Cocoa no longer does this:
http://typophile.com/node/59767

Most probably the new way LO uses to emulate a bold font where only a regular version exists is not as good as the old one.


1: http://scripts.sil.org/cms/scripts/render_download.php?format=file&media_id=GentiumPlus-1.510.zip&filename=GentiumPlus-1.510.zip
Comment 16 Adolfo Jayme 2014-03-25 21:23:01 UTC
*** Bug 76590 has been marked as a duplicate of this bug. ***
Comment 17 Paul 2014-04-15 13:06:47 UTC Comment hidden (me-too)
Comment 18 Adolfo Jayme 2014-05-24 04:37:44 UTC
*** Bug 71249 has been marked as a duplicate of this bug. ***
Comment 19 Alex Thurgood 2014-06-06 22:36:01 UTC

*** This bug has been marked as a duplicate of bug 69881 ***
Comment 20 Alex Thurgood 2014-06-06 22:43:28 UTC

*** This bug has been marked as a duplicate of bug 69254 ***
Comment 21 Adolfo Jayme 2014-06-08 23:13:07 UTC
This is not a duplicate of 69254.
Comment 22 Adolfo Jayme 2014-09-19 20:25:15 UTC
*** Bug 84088 has been marked as a duplicate of this bug. ***
Comment 23 V Stuart Foote 2014-11-04 19:09:02 UTC
QA housekeeping, setting back to NEW -- apparently valid, but never taken by a Dev.
Comment 24 Alex Thurgood 2015-04-03 15:09:21 UTC Comment hidden (no-value)
Comment 25 Adolfo Jayme 2015-04-26 09:40:55 UTC Comment hidden (no-value)
Comment 26 Khaled Hosny (inactive) 2015-04-26 11:16:18 UTC
If anyone wants to work on this, the relevant part of the code is here: http://cgit.freedesktop.org/libreoffice/core/tree/vcl/quartz/ctfonts.cxx#n78, one just needs to fiddle with the nStroke value until the result is acceptable.
Comment 27 Khaled Hosny (inactive) 2015-04-26 11:18:31 UTC
For reference, the corresponding AOO code is here http://cgit.freedesktop.org/libreoffice/core/tree/vcl/aqua/source/gdi/ctfonts.cxx?h=aoo/trunk#n146, if AOO is giving a better result, then may be all is needed is to copy that part of the code.
Comment 28 Commit Notification 2015-04-28 16:37:58 UTC
Khaled Hosny committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e1dbbe21ddd9b40fde12da6cb680e91aa0a4e54

tdf#71034: [OS X] Ugly (too heavy) fake bold

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2015-04-29 03:46:56 UTC
Khaled Hosny committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=af424114d0648cead5c05eb70adbed499ffae581&h=libreoffice-4-4

tdf#71034: [OS X] Ugly (too heavy) fake bold

It will be available in 4.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.